Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0012515 [DCSS] Bug Report minor sometimes 2021-02-21 23:30 2021-02-23 12:25
Reporter Majang View Status public  
Assigned To Kate
Priority normal Resolution done  
Status closed   Product Branch 0.27 development version
Summary 0012515: Lee's Rapid Deconstruction sometimes has no effect if placed on door frames
Description If I understand it correctly, LRD never misses and its damage is unavoidable, but can be reduced or even nullified by armour. When this happens, there is a message that says that no damage was done.
In the current trunk version, when a door frame is chosen as target for LRD, very often (I'd say at least one in three times), a monster in the blast area is not affected at all. The accompanying message says that the door frame was shattered, but does not mention the monster in question. It can be that several monsters are in the blast area, with some not being affected, while others are.

I submitt a screenshot of a monster that remained unaffected without message.
Additional Information
Tags game message, targeting
Attached Files jpg file icon LRD1.jpg [^] (121,828 bytes) 2021-02-21 23:30
jpg file icon LRD2.jpg [^] (132,069 bytes) 2021-02-21 23:31

- Relationships

-  Notes
(0034140)
Majang (reporter)
2021-02-21 23:32

The second screenshot (LRD2) shows two monsters who were in the blast radius of the LRD. The red draconian was affected, while the purple was not.
(0034141)
Kate (developer)
2021-02-22 00:06

Should be fixed, thanks for reporting - the issue specifically was with monsters standing on the targeted open door tile itself.
(0034142)
Majang (reporter)
2021-02-22 11:17

It is still a thing in version 0.27-a0-404-g7370b5873 - not yet fixed.
(0034144)
Majang (reporter)
2021-02-23 12:25

Confirmed fix. Thanks, Kate!

- Issue History
Date Modified Username Field Change
2021-02-21 23:30 Majang New Issue
2021-02-21 23:30 Majang File Added: LRD1.jpg
2021-02-21 23:31 Majang File Added: LRD2.jpg
2021-02-21 23:32 Majang Note Added: 0034140
2021-02-21 23:37 Majang Tag Attached: game message
2021-02-21 23:37 Majang Tag Attached: targeting
2021-02-22 00:06 Kate Note Added: 0034141
2021-02-22 00:06 Kate Status new => resolved
2021-02-22 00:06 Kate Fixed in Branch => 0.27 development version
2021-02-22 00:06 Kate Resolution open => done
2021-02-22 00:06 Kate Assigned To => Kate
2021-02-22 11:17 Majang Note Added: 0034142
2021-02-23 12:25 Majang Note Added: 0034144
2021-02-23 12:25 Majang Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker